freemarker.template

## Interface TemplateTransformModel

All Superinterfaces:
  TemplateModel

All Known Implementing Classes:
  CaptureOutput, HtmlEscape, JythonRuntime, NormalizeNewlines, StandardCompress, XmlEscape

    public interface TemplateTransformModel
    extends TemplateModel

"transform" template language data type: user-defined directives (much like macros) specialized on filtering output; you should rather use the newer `TemplateDirectiveModel` instead. This certainly will be deprecated in FreeMarker 2.4.

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Method Summary

All Methods Instance Methods Abstract Methods
`Writer` `getWriter(Writer out, Map args)` Returns a writer that will be used by the engine to feed the transformation input to the transform.

### Method Detail

#### getWriter

    Writer getWriter(Writer out,
                     Map args)
              throws TemplateModelException,
                     IOException

Returns a writer that will be used by the engine to feed the transformation input to the transform. Each call to this method must return a new instance of the writer so that the transformation is thread-safe.

Parameters:
  `out` - the character stream to which to write the transformed output
  `args` - the arguments (if any) passed to the transformation as a map of key/value pairs where the keys are strings and the arguments are TemplateModel instances. This is never null. If you need to convert the template models to POJOs, you can use the utility methods in the `DeepUnwrap` class.
Returns:
  a writer to which the engine will feed the transformation input, or null if the transform does not support nested content (body). The returned writer can implement the `TransformControl` interface if it needs advanced control over the evaluation of the transformation body.
Throws:
  `TemplateModelException`
  `IOException`